.header {
  background-color: #27262a;
  width: 100%;
  margin-bottom: 0;
  @media screen and (min-width: 993px) {
    background-color: black;
    width: 100%;
    &__title {
      &:hover .__icon-passive {
        display: inline-block;
      }
      &:hover .__icon-active {
        display: none;
      }
    }
  }

  &__logo {
    margin-left: 17px;
  }

  &__nav {
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    position: relative;

    &__title {
      @media screen and (min-width: 320px) {
        padding-left: 20px;
      }
    }

    @media screen and (min-width: 481px) {
      &__logo {
        display: flex;
        transition: all linear 0.2s;
      }
      padding-top: 20px;
      padding-bottom: 20px;
    }
    &__title {
      align-items: center;
      display: flex;
      text-decoration: none;
      &__icon-passive {
        display: none;
      }
    }
    &__logo {
      @media screen and (min-width: 320px) {
        display: none;
      }
      font-size: 24px;
      font-weight: bold;
      color: #8d81ac;
      text-transform: uppercase;
      margin-left: 17px;
      font-family: "Lato", sans-serif;
    }
    &__menu {
      font-family: "Montserrat", sans-serif;
      @media screen and (min-width: 320px) {
        display: none;
        &.active {
          position: absolute;
          display: flex;
          flex-direction: column;
          top: 101px;
          right: 10px;
          width: calc(100% - 20px);
          max-width: 300px;
          z-index: 1;
          box-sizing: border-box;
        }
      }
      @media screen and (min-width: 993px) {
        display: flex;
        justify-content: space-between;
        margin-left: calc(100% - 902px);
      }
      @media screen and (min-width: 481px) and (max-width: 992px) {
        order: 4;
        display: flex;
        justify-content: center;
        margin-top: 24px;
        width: 100%;
        margin-right: 20px;
      }
      &__link {
        text-decoration: none;
        font-size: 16px;
        color: #8d81ac;
        margin-right: 48px;
        font-weight: bold;
        @media screen and (min-width: 481px) {
          text-decoration: none;
          font-size: 16px;
          color: #8d81ac;
          font-weight: bold;
        }
        @media screen and (min-width: 320px) {
          &.active {
            font-weight: normal;
            padding: 29px 0 21px 39px;
            position: relative;
            font-size: 20px;
            line-height: 26px;
            font-family: "Lato", sans-serif;
            font-weight: 400;
            color: #ffffff;
            border-bottom: 3px solid #3b3b3b;
            background-color: #333333;
            margin-right: 0;
          }
          &.active:active {
            color: #8d81ac;
          }
          &.active:active:before {
            content: "";
            padding: 23px 2px 23px 2px;
            position: absolute;
            background-color: #8d81ac;
          }
          &.active:focus {
            color: #8d81ac;
          }
          &.active:focus:before {
            content: "";

            padding: 23px 2px 23px 2px;
            position: absolute;
            background-color: #8d81ac;
            top: 18px;
            left: 2px;
          }
          &__last-block {
            padding: 5px 0;
            width: 100%;

            background-color: #333333;
            @media screen and (min-width: 481px) {
              display: none;
            }
          }
        }
      }
    }
    &__buy {
      width: 145px;
      border-radius: 40px;
      font-size: 16px;
      font-weight: bold;
      color: white;
      background: #8d81ac;
      text-align: center;
      padding: 11px 0;
      outline: none;
      cursor: pointer;
      border-style: none;
      font-weight: 700;
      margin-right: 50px;
      transition: all linear 0.2s;

      @media screen and (min-width: 320px) and (max-width: 480px) {
        margin-right: 0;
        width: 120px;
      }
    }
  }
}
.last-child {
  margin-right: 0;
}
.header__nav__title__icon-passive:hover {
  background-image: url(../img/logo-hover-1.png);
}
.header__nav__menu__link:hover {
  color: white;
}
.header__nav__logo:hover {
  color: white;
}
.header__nav__menu__title:hover {
  color: white;
}
.header__nav__menu__link {
  transition: all linear 0.2s;
}
.header__nav__title {
  transition: all linear 0.2s;
}
.header__nav__buy:hover {
  background-color: white;
  color: #8d81ac;
  border: 1px solid #8d81ac;
}
